Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ejb
Class BorlandDeploymentTool

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool
            |
            +--org.apache.tools.ant.taskdefs.optional.ejb.BorlandDeploymentTool

All Implemented Interfaces:
  EJBDeploymentTool, ExecuteStreamHandler

public class BorlandDeploymentTool
extends GenericDeploymentTool
implements ExecuteStreamHandler

BorlandDeploymentTool is dedicated to the Borland Application Server 4.5 and 4.5.1 This task generates and compiles the stubs and skeletons for all ejb described into the Deployment Descriptor, builds the jar file including the support files and verify whether the produced jar is valid or not. The supported options are:

- debug (boolean) : turn on the debug mode for generation of stubs and skeletons (default:false)
- verify (boolean) : turn on the verification at the end of the jar production (default:true)
- verifyargs (String) : add optional argument to verify command (see vbj com.inprise.ejb.util.Verify)
- basdtd (String) : location of the BAS DTD
- generateclient (boolean) : turn on the client jar file generation
- version (int) : tell what is the Borland appserver version 4 or 5

          <ejbjar srcdir="${build.classes}"
                   basejarname="vsmp"
                   descriptordir="${rsc.dir}/hrmanager">
            <borland destdir="tstlib">
              <classpath refid="classpath" />
            </borland>
            <include name="**\ejb-jar.xml"/>
            <support dir="${build.classes}">
              <include name="demo\smp\*.class"/>
              <include name="demo\helper\*.class"/>
             </support>
         </ejbjar>

Field Summary
`protected static java.lang.String` | `BAS_DD`
`protected static java.lang.String` | `BES_DD`
`protected static java.lang.String` | `DEFAULT_BAS_DTD_LOCATION`
`protected static java.lang.String` | `DEFAULT_BAS45_EJB11_DTD_LOCATION`
`protected static java.lang.String` | `JAVA2IIOP` Java2iiop executable
`static java.lang.String` | `PUBLICID_BORLAND_EJB`
`protected static java.lang.String` | `VERIFY` Verify class

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool
`ANALYZER_CLASS_FULL, ANALYZER_CLASS_SUPER, ANALYZER_FULL, ANALYZER_NONE, ANALYZER_SUPER, DEFAULT_ANALYZER, EJB_DD, MANIFEST, META_DIR`

Constructor Summary
`BorlandDeploymentTool()`

Method Summary
`protected void` | `addVendorFiles(java.util.Hashtable ejbFiles, java.lang.String ddPrefix)` Add any vendor specific files which should be included in the EJB Jar.
`protected DescriptorHandler` | `getBorlandDescriptorHandler(java.io.File srcDir)`
`void` | `setBASdtd(java.lang.String inString)` Setter used to store the location of the borland DTD.
`void` | `setDebug(boolean debug)` set the debug mode for java2iiop (default false)
`void` | `setGenerateclient(boolean b)` setter used to store whether the task will include the generate client task.
`void` | `setJava2iiopParams(java.lang.String params)` If filled, the params are added to the java2iiop command.
`void` | `setProcessErrorStream(java.io.InputStream is)` Install a handler for the error stream of the subprocess.
`void` | `setProcessInputStream(java.io.OutputStream param1)` Install a handler for the input stream of the subprocess.
`void` | `setProcessOutputStream(java.io.InputStream is)` Install a handler for the output stream of the subprocess.
`void` | `setSuffix(java.lang.String inString)` Setter used to store the suffix for the generated borland jar file.
`void` | `setVerify(boolean verify)` set the verify mode for the produced jar (default true)
`void` | `setVerifyArgs(java.lang.String args)` sets some additional args to send to verify command
`void` | `setVersion(int version)` setter used to store the borland appserver version [4 or 5]
`void` | `start()` Start handling of the streams.
`void` | `stop()` Stop handling of the streams - will not be restarted.
`protected void` | `writeJar(java.lang.String baseName, java.io.File jarFile, java.util.Hashtable files, java.lang.String publicId)` Method used to encapsulate the writing of the JAR file.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool
`addFileToJar, addSupportClasses, checkAndAddDependants, checkConfiguration, configure, createClasspath, getClassLoaderForBuild, getCombinedClasspath, getConfig, getDescriptorHandler, getDestDir, getJarBaseName, getLocation, getManifestFile, getPublicId, getTask, getVendorDDPrefix, log, needToRebuild, parseEjbFiles, processDescriptor, registerKnownDTDs, setClasspath, setDestdir, setGenericJarSuffix, setTask, usingBaseJarName, validateConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PUBLICID_BORLAND_EJB

    public static final java.lang.String PUBLICID_BORLAND_EJB

See Also:
  Constant Field Values

### DEFAULT_BAS45_EJB11_DTD_LOCATION

    protected static final java.lang.String DEFAULT_BAS45_EJB11_DTD_LOCATION

See Also:
  Constant Field Values

### DEFAULT_BAS_DTD_LOCATION

    protected static final java.lang.String DEFAULT_BAS_DTD_LOCATION

See Also:
  Constant Field Values

### BAS_DD

    protected static final java.lang.String BAS_DD

See Also:
  Constant Field Values

### BES_DD

    protected static final java.lang.String BES_DD

See Also:
  Constant Field Values

### JAVA2IIOP

    protected static final java.lang.String JAVA2IIOP

  Java2iiop executable

  See Also:
    Constant Field Values

### VERIFY

    protected static final java.lang.String VERIFY

  Verify class

  See Also:
    Constant Field Values

Constructor Detail

### BorlandDeploymentTool

    public BorlandDeploymentTool()

Method Detail

### setDebug

    public void setDebug(boolean debug)

  set the debug mode for java2iiop (default false)

### setVerify

    public void setVerify(boolean verify)

  set the verify mode for the produced jar (default true)

### setSuffix

    public void setSuffix(java.lang.String inString)

  Setter used to store the suffix for the generated borland jar file.

  Parameters:
    `inString` - the string to use as the suffix.

### setVerifyArgs

    public void setVerifyArgs(java.lang.String args)

  sets some additional args to send to verify command

  Parameters:
    `args` - additional command line parameters

### setBASdtd

    public void setBASdtd(java.lang.String inString)

  Setter used to store the location of the borland DTD. This can be a file on the system or a resource on the classpath.

  Parameters:
    `inString` - the string to use as the DTD location.

### setGenerateclient

    public void setGenerateclient(boolean b)

  setter used to store whether the task will include the generate client task. (see : BorlandGenerateClient task)

### setVersion

    public void setVersion(int version)

  setter used to store the borland appserver version [4 or 5]

  Parameters:
    `version` - app server version 4 or 5

### setJava2iiopParams

    public void setJava2iiopParams(java.lang.String params)

  If filled, the params are added to the java2iiop command. (ex: -no_warn_missing_define)

  Parameters:
    `params` - additional params for java2iiop

### getBorlandDescriptorHandler

    protected DescriptorHandler getBorlandDescriptorHandler(java.io.File srcDir)

### addVendorFiles

    protected void addVendorFiles(java.util.Hashtable ejbFiles,
                                  java.lang.String ddPrefix)

  Add any vendor specific files which should be included in the EJB Jar.

  Overrides:
    `addVendorFiles` in class `GenericDeploymentTool`

### writeJar

    protected void writeJar(java.lang.String baseName,
                            java.io.File jarFile,
                            java.util.Hashtable files,
                            java.lang.String publicId)
                     throws BuildException

  Method used to encapsulate the writing of the JAR file. Iterates over the filenames/java.io.Files in the Hashtable stored on the instance variable ejbFiles.

  Overrides:
    `writeJar` in class `GenericDeploymentTool`
    `BuildException`

### start

    public void start()
               throws java.io.IOException

  Description copied from interface: `ExecuteStreamHandler`
  Start handling of the streams.

  Specified by:
    `start` in interface `ExecuteStreamHandler`
    `java.io.IOException`

### stop

    public void stop()

  Description copied from interface: `ExecuteStreamHandler`
  Stop handling of the streams - will not be restarted.

  Specified by:
    `stop` in interface `ExecuteStreamHandler`

### setProcessInputStream

    public void setProcessInputStream(java.io.OutputStream param1)
                               throws java.io.IOException

  Description copied from interface: `ExecuteStreamHandler`
  Install a handler for the input stream of the subprocess.

  Specified by:
    `setProcessInputStream` in interface `ExecuteStreamHandler`
  Parameters:
    `param1` - output stream to write to the standard input stream of the subprocess
    `java.io.IOException`

### setProcessOutputStream

    public void setProcessOutputStream(java.io.InputStream is)
                                throws java.io.IOException

  Description copied from interface: `ExecuteStreamHandler`
  Install a handler for the output stream of the subprocess.

  Specified by:
    `setProcessOutputStream` in interface `ExecuteStreamHandler`
  Parameters:
    `is` -
  Throws:
    `java.io.IOException`

### setProcessErrorStream

    public void setProcessErrorStream(java.io.InputStream is)
                               throws java.io.IOException

  Description copied from interface: `ExecuteStreamHandler`
  Install a handler for the error stream of the subprocess.

  Specified by:
    `setProcessErrorStream` in interface `ExecuteStreamHandler`
  Parameters:
    `is` - input stream to read from the error stream from the subprocess
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.